Browse Source

added fix-xkbmap

fixes #1
master
Alf Gaida 4 years ago
parent
commit
6862b94787
24 changed files with 173 additions and 315 deletions
  1. 18
    2
      burniso
  2. 1
    1
      burniso.1
  3. 6
    0
      debian/changelog
  4. 2
    2
      debian/control
  5. 34
    14
      debian/copyright
  6. 9
    6
      debian/install
  7. 1
    0
      debian/manpages
  8. 0
    3
      debian/rules
  9. 0
    26
      fix-dpi-kdm
  10. 0
    11
      fix-ssh
  11. 0
    26
      fix-time
  12. 13
    0
      fix-xkbmap
  13. 5
    0
      fix-xkbmap.desktop
  14. 13
    5
      fw
  15. 11
    3
      fw-data-convert
  16. 5
    5
      fw-data.ini
  17. 16
    5
      fw-detect
  18. 11
    3
      fw-html
  19. 0
    65
      inetconn
  20. 0
    114
      kvercmp
  21. 0
    12
      remove-gateway
  22. 0
    12
      remove-orphans
  23. 13
    0
      update-resume-partition
  24. 15
    0
      update-resume-partition.8

+ 18
- 2
burniso View File

@@ -3,7 +3,21 @@
# Burn ISO images from the command line.
# see "man burniso"

# wodim parameters
# Copyright (C) 2009, Michael Deelwater <michael.deelwater@googlemail.com>
# Copyright (C) 2010, Joaquim Boura <x-un-i@sapo.pt>
# Copyright (C) 2011-2015, Stefan Lippers-Hollmann <s.l-h@gmx.de>

# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; version 2 of the
# License.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.

# xorriso parameters
SPEED="8"
FS="14M"
OPTIONS="-dao -eject -v"
@@ -72,4 +86,6 @@ if [ -f "${iso}.md5" ]; then
error "Invalid MD5 checksum!"
fi
fi
exec wodim ${OPTIONS} "dev=${device}" "fs=${FS}" "speed=${SPEED}" "${iso}"

# burn baby, burn
exec xorriso -as cdrecord ${OPTIONS} "dev=${device}" "fs=${FS}" "speed=${SPEED}" "${iso}"

+ 1
- 1
burniso.1 View File

@@ -8,7 +8,7 @@ burniso \- Burn ISO images on the command line
.BR burniso
burns ISO images on media, using Disk-At-Once mode and a hardcoded speed
of 8x.
It is a trivial command\-line frontend to wodim.
It is a trivial command\-line frontend to xorriso.
A selection of ISO images in the current directory is presented.
It starts burning right after selection of the ISO.
So be sure you have your media inserted.

+ 6
- 0
debian/changelog View File

@@ -1,3 +1,9 @@
siduction-scripts (2017.01.29) unstable; urgency=medium

* added fix-xkbmap to siduction-scripts

-- Alf Gaida <agaida@siduction.org> Sun, 29 Jan 2017 18:33:24 +0100

siduction-scripts (2016.04.19) unstable; urgency=medium

* external cleanup fixed, check for file, not for directory

+ 2
- 2
debian/control View File

@@ -4,7 +4,7 @@ Section: misc
Priority: extra
Build-Depends: debhelper (>= 9),
libconfig-tiny-perl
Standards-Version: 3.9.7
Standards-Version: 3.9.8
Vcs-Browser: http://git.siduction.org/summary/base!siduction-scripts.git
Vcs-Git: http://git.siduction.org/r/base/siduction-scripts.git

@@ -13,7 +13,7 @@ Architecture: all
Depends: ${misc:Depends},
${perl:Depends},
distro-defaults,
wodim,
xorriso,
git
Recommends: menu,
ntpdate,

+ 34
- 14
debian/copyright View File

@@ -1,18 +1,38 @@
*: 2003-2006 Jörg Schirottke <master@kanotix.com>
2004-2008 Stefan Lippers-Hollmann <s.l-h@gmx.de>
2005-2008 Kel Modderman <kel@otaku42.de>
2005-2007 Harald Hope
2011 Ferdinand Thommes <devil@siduction.org>
2011 Markus Meyer <coruja@siduction.org>
Format: http://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
Upstream-Name: aptosid-scripts
Upstream-Contact: Stefan Lippers-Hollmann <s.l-h@gmx.de>
Source: git://github.com/fullstory/aptosid-scripts.git

debian/*: noch einzutragen
Files: *
Copyright: 2004-2015, Stefan Lippers-Hollmann <s.l-h@gmx.de>
2005-2008, Kel Modderman <kel@otaku42.de>
2008, Horst Tritremmel <peter_weber69@gmx.at>
2008-2010, Joaquim Boura <x-un-i@sapo.pt>
2009-2013, Niall Walsh <niallwalsh@celtux.org>
License: GPL-2.0

siduction-paste:
2011 Markus Meyer <coruja@siduction.org>
Files: siduction-paste:
2011 Markus Meyer <coruja@siduction.org>

fw-detect:
2006-2008 Kel Modderman <kel@otaku42.de>
2009 Niall Walsh <niallwalsh@users.berlios.de>
Files: burniso
burniso.1
Copyright: 2009, Michael Deelwater <michael.deelwater@googlemail.com>
2010, Joaquim Boura <x-un-i@sapo.pt>
2011-2015, Stefan Lippers-Hollmann <s.l-h@gmx.de>
License: GPL-2.0

burniso, burniso.1:
2009 Michael Deelwater <michael.deelwater@googlemail.com>
License: GPL-2.0
This package is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; version 2 of the License.
.
This package is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.
.
You should have received a copy of the GNU General Public License
along with this program. If not, see <http://www.gnu.org/licenses/>
.
On Debian systems, the complete text of the GNU General
Public License version 2 can be found in "/usr/share/common-licenses/GPL-2".

+ 9
- 6
debian/install View File

@@ -1,16 +1,19 @@
addpkg usr/sbin/
burniso usr/bin/
addpkg usr/sbin/
burniso usr/bin/
fix-dpi-kdm usr/sbin/
fix-ssh usr/sbin/
fix-time usr/sbin/
packages/custom.ex usr/share/siduction-scripts/packages/
fw usr/share/siduction-scripts/
fw-data.sh usr/share/siduction-scripts/
fw-detect usr/bin/
get-resume-partition usr/sbin/
fw usr/share/siduction-scripts/
fw-data.sh usr/share/siduction-scripts/
fw-detect usr/bin/
update-resume-partition usr/sbin/
inetconn usr/bin/
live usr/sbin/
remove-gateway usr/sbin/
remove-orphans usr/sbin/
siduction-paste usr/bin/
wgetpaste usr/bin/

fix-xkbmap usr/bin
fix-xkbmap.desktop etc/xdg/autostart

+ 1
- 0
debian/manpages View File

@@ -1,2 +1,3 @@
burniso.1
fw-detect.1
update-resume-partition.8

+ 0
- 3
debian/rules View File

@@ -1,7 +1,4 @@
#!/usr/bin/make -f

export DH_VERBOSE=1

%:
dh $@


+ 0
- 26
fix-dpi-kdm View File

@@ -1,26 +0,0 @@
#!/bin/sh

if [ "$(id -u)" -ne 0 ]; then
[ -x "$(which su-to-root)" ] && exec su-to-root -X -c "$0" "$@"
printf "ERROR: $(basename ${0}) needs root capabilities, please start it as root.\n\n" >&2
exit 1
fi

DPI=100
[ "${1}" ] && DPI="${1}"

if [ ${DPI} -eq ${DPI} ] && [ -w /etc/kde4/kdm/kdmrc ]; then

sed -i -e "s/\(^ServerArgsLocal\=.*\)\ \-dpi[ \t]*[0-9]*\(.*$\)/\1\2/" \
-e "s/\(^ServerArgsLocal\=.*\)\-dpi[ \t]*[0-9]*\(.*$\)/\1\2/" \
-e "s/\(^ServerArgsLocal\=.*\) *$/\1/" \
-e "s/^ServerArgsLocal\=.*$/& \-dpi ${DPI}/" \
/etc/kde4/kdm/kdmrc

printf "KDM setting was changed to $DPI. You can use another value like:\n"
printf "$(basename ${0}) 75\n"
printf "Now restart kdm (/etc/init.d/kdm restart)\n\n"
else
echo "ERROR: parameter ${DPI} not a number." >&2
echo "Usage: $(basename ${0}) [dpi]" >&2
fi

+ 0
- 11
fix-ssh View File

@@ -1,11 +0,0 @@
#!/bin/sh

if [ "$(id -u)" -ne 0 ]; then
[ -x "$(which su-to-root)" ] && exec su-to-root -X -c "$0" "$@"
printf "ERROR: $0 needs root capabilities, please start it as root.\n\n" >&2
exit 1
fi

[ -e /etc/ssh/ssh_host_rsa_key ] || ssh-keygen -q -t rsa -f /etc/ssh/ssh_host_rsa_key -C '' -N ''
[ -e /etc/ssh/ssh_host_dsa_key ] || ssh-keygen -q -t dsa -f /etc/ssh/ssh_host_dsa_key -C '' -N ''


+ 0
- 26
fix-time View File

@@ -1,26 +0,0 @@
#!/bin/sh

if [ "$(id -u)" -ne 0 ]; then
[ -x "$(which su-to-root)" ] && exec su-to-root -X -c "$0" "$@"
printf "ERROR: $0 needs root capabilities, please start it as root.\n\n" >&2
exit 1
fi

# get time servers from /etc/default/ntpdate
. /etc/default/ntpdate
[ -z "$NTPSERVER" ] && NTPSERVER="pool.ntp.org"

# assume the hw clock being in local time
hwclock --hctosys --localtime

# let the user set their time zone
dpkg-reconfigure tzdata

# sync with time servers
for i in $NTPSERVER; do
if ntpdate -u -b "$i"; then
hwclock --systohc
break
fi
done


+ 13
- 0
fix-xkbmap View File

@@ -0,0 +1,13 @@
#!/bin/sh

# Copyright: 2017 Alf Gaida <agaida@siduction.org>
# License: WTFPL-2
#
# 0. You just DO WHAT THE FUCK YOU WANT TO.

xkbmap=$(setxkbmap -query | grep layout | awk -F':' '{print $2}')
locale=$(localectl | grep 'X11 Layout' | awk -F':' '{print $2}')
if [ "$xkbmap" != "$locale" ]; then
setxkbmap $locale;
fi


+ 5
- 0
fix-xkbmap.desktop View File

@@ -0,0 +1,5 @@
[Desktop Entry]
Exec=fix-xkbmap
Name=FixXKBMap
Type=Application
X-DBUS-StartupType=Unique

+ 13
- 5
fw View File

@@ -1,13 +1,21 @@
#!/bin/bash
#
# Copyright 2009 Niall Walsh <niallwalsh@users.berlios.de>
# Provides functions for firmware data related actions
#
# Copyright (C) 2009, Niall Walsh <niallwalsh@users.berlios.de>
# Derived from prior aptosid-scripts/fw-detect which is
# Copyright 2007 Kel Modderman <kel@otaku42.de>
# License: GPLv2
# Copyright 2007, Kel Modderman <kel@otaku42.de>
#
# Provides functions for firmware data related actions
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; version 2 of the
# License.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#


. /usr/share/siduction-scripts/fw-data.sh


+ 11
- 3
fw-data-convert View File

@@ -1,10 +1,18 @@
#!/usr/bin/perl
#
# Copyright 2009 Niall Walsh <niallwalsh@users.berlios.de>
# License: GPLv2
#
# Script to convert fw-data.ini file to shella
#
# Copyright (C) 2009, Niall Walsh <niallwalsh@users.berlios.de>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; version 2 of the
# License.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.

use strict;
my $file=$1;

+ 5
- 5
fw-data.ini View File

@@ -14,7 +14,7 @@ class="tv usb"
[ath3k]
fw="apt-get install firmware-atheros"
title="Atheros AR30xx Bluetooth chipset"
ok="ath3k-1.fw "
ok="ath3k-1.fw"
drivers="ath3k"
class="bluetooth"

@@ -26,7 +26,7 @@ drivers="ar9170usb"
class="ieee802.11 usb"

[ath9k_htc]
fw="apt-get install firmware-atheros"
fw="http://git.kernel.org/?p=linux/kernel/git/dwmw2/linux-firmware.git;a=blob_plain;f=ar9271.fw;hb=HEAD"
title="Atheros AR7010/ AR9271 802.11n USB wireless"
ok="ar9271.fw ar7010.fw ar7010_1_1.fw"
drivers="ath9k_htc"
@@ -286,10 +286,10 @@ drivers=""
class="tv"

[iwl]
title="Intel ipw3945/ iwlwifi, 54 Mbit/s and Intel ipw4965, iwl1000/ iwl5xxx, iwl6000, iwl6050 iwlagn, draft-n, Centrino Advanced-N 6235"
title="Intel ipw3945/ iwlwifi, 54 Mbit/s and Intel ipw4965, iwl1000/ iwl5xxx, iwl6000, iwl6050/ iwlagn, draft-n"
fw="apt-get install firmware-iwlwifi"
ok="iwlwifi-100-5.ucode iwlwifi-1000-3.ucode iwlwifi-1000-5.ucode iwlwifi-3945-1.ucode iwlwifi-3945-2.ucode iwlwifi-4965-1.ucode iwlwifi-4965-2.ucode iwlwifi-5000-1.ucode iwlwifi-5000-2.ucode iwlwifi-5000-5.ucode iwlwifi-5150-2.ucode iwlwifi-6000-4.ucode iwlwifi-6000g2a-5.ucode iwlwifi-6000g2b-6.ucode iwlwifi-6050-4.ucode iwlwifi-6050-5.ucode"
drivers="iwl4965 iwl3945 iwlwifi iwlagn"
ok="iwlwifi-3945-1.ucode iwlwifi-3945-2.ucode iwlwifi-4965-1.ucode iwlwifi-4965-2.ucode iwlwifi-5000-1.ucode iwlwifi-5000-2.ucode iwlwifi-5150-2.ucode"
drivers="iwl4965 iwl3945 iwlwifi-* iwlwifi iwlagn"
class="ieee802.11"

; [kaweth]

+ 16
- 5
fw-detect View File

@@ -1,12 +1,23 @@
#!/bin/bash
#
# Copyright 2007 Kel Modderman <kel@otaku42.de>
# License: GPLv2
#
# Script to check if firmware or other non-free drivers are required.
#
# Copyright 2009 Niall Walsh <niallwalsh@users.berlios.de>
# Major modifications to disconnect data from scripts
# Copyright (C) 2007-2008 Kel Modderman <kel@otaku42.de>
# Copyright (C) 2008-2015, Stefan Lippers-Hollmann <s.l-h@gmx.de>
# Copyright (C) 2008, Horst Tritremmel <peter_weber69@gmx.at>
# Copyright (C) 2008-2009, Joaquim Boura <x-un-i@sapo.pt>
# Copyright (C) 2009 Niall Walsh <niallwalsh@users.berlios.de>
# major modifications to disconnect data from scripts
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; version 2 of the
# License.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.

function selfhelp () {
echo "Usage:

+ 11
- 3
fw-html View File

@@ -1,13 +1,21 @@
#!/usr/bin/perl
#
# Copyright 2009 Niall Walsh <niallwalsh@users.berlios.de>
# License: GPLv2
#
# Script to convert fw-data.ini file to html
#
# Takes filename of ini file as input or defaults to fw-data.ini
# Writes (bare) html to stdout
#
# Copyright (C) 2009, Niall Walsh <niallwalsh@users.berlios.de>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; version 2 of the
# License.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.

use strict;


+ 0
- 65
inetconn View File

@@ -1,65 +0,0 @@
#!/bin/bash

export TEXTDOMAIN="inetconn"
export TEXTDOMAINDIR=/usr/share/locale
#export SSFT_FRONTEND=$(ssft_choose_frontend)

# we need gettext (is loaded in ssft.sh or cloned...)
if [ -f /usr/bin/gettext.sh ]; then
. /usr/bin/gettext.sh || exit 1
else
exit 1
fi

# determine system status
SSFTSH="$(which ssft.sh)" || SSFTSH="/usr/bin/ssft.sh"

# initialize ssft
. "$SSFTSH"

TIT="$(gettext "Internet connection")"

exec 3>&1 # 3. open outputchannel (for STDOUT)
exec 4>&1 # 4. open outputchannel (for Exitcodes)
eval ` # >-- Backtick open!
{
for x in $(seq 25 25 100); do
echo "$x"

case $x in
25)
echo "$(gettext "Testing internet connection, test 1 ...")"
wget -T 5 -t 1 -q --spider http://www.google.com/ && connection=1 || connection=0
sleep 1
echo "connection=$connection" >&4
[ "$connection" -eq 0 ] || break
;;

50)
echo "$(gettext "test 1 failed, trying test 2....")"
wget -T 10 -t 1 -q --spider http://www.google.com/ && connection=1 || connection=0
echo "connection=$connection" >&4
[ "$connection" -eq 0 ] || break
;;

75)
echo "$(gettext "test 2 failed, trying test 3....")"
wget -T 10 -t 1 -q --spider http://www.ebay.com/ && connection=1 || connection=0
echo "connection=$connection" >&4
[ "$connection" -eq 0 ] || break
;;
esac
done | ssft_progress_bar "$TIT"
} 4>&1 >&3
` # >-- Backtick close!
exec 3>&- # close
exec 4>&- # close

if [ "$connection" -eq 0 ]
then
ssft_display_message "No connection found" "No connection to the internet seems to be available."
else
echo "Internet connection is present and working."
fi

export connection

+ 0
- 114
kvercmp View File

@@ -1,114 +0,0 @@
#!/usr/bin/awk -f
# Kernel version compare
# Copyright (C) 2007 Michiel de Boer a.k.a. locsmif

# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.

function usage() {
printf( " %s %s %s %s %s %s %s %s %s %s",
"Kernel version compare - Copyright (C) 2007 Michiel de Boer a.k.a. locsmif\n",
"Licensed under GPL version 2 or (at your option) any later version.\n\n",
"kvercmp [-hi|-lo]\n",
"Reads a list of versions from standard input. If both options are given\n",
"simultaneously the result is always first the lowest, a single whitespace.\n",
"then the highest.\n\n",
"kvercmp <version> <-lt|-gt|-eq> <version>\n",
"Compares if the version to the left is lesser or greater than, or equal to,\n",
"the version to the right. Exit code is 0 if true, 1 if false.\n",
"You can pass paths to kvercmp, but do not end them in a forward slash (/)\n\n")
exit 1
}

function getvnum(line, digits, extra, numparts, vnrs, vnum) {
# Try to keep as pure a version string as possible
# Cut off all cruft up to it
# First the path, up to the last /
sub(/^.*\//, "", line)
line = substr(line, match(line, /[0-9]\.[0-9].*/))
# Get only the digits and the dots
digits = substr(line, match(line, /^[0-9][0-9\.]*/), RLENGTH)
#extra = line
#sub(digits, "", extra)
#print "extra='" extra "'"
if (digits ~ /^[0-9][0-9\.]*$/) {
numparts = split(digits, vnrs, ".")
vnum = 0
for (i=1;i<=numparts;i++) {
vnum += vnrs[i] * 100 ^ (4-i)
#print "vnrs[i]=" vnrs[i] " vnum=" vnum
}
return vnum
}
else {
print "Failed to parse version string!"
exit 2
}
}

BEGIN {
for (i = 1; i < ARGC; i++) p[i] = ARGV[i]
i = 1
while (i < ARGC) {
if (p[i] ~ /^-hi$/) hi = 1
else if (p[i] ~ /^-lo$/) lo = 1
else if (p[i] ~ /^-/) usage()
else {
v1 = p[i]
#print "v1=" v1
if (p[++i] ~ /^-gt$/) gt = 1
else if (p[i] ~ /^-lt$/) lt = 1
else if (p[i] ~ /^-eq$/) eq = 1
else usage()
#print "gt=" gt " lt=" lt
if (p[++i] ~ /^[^-]/) v2 = p[i]
else usage()
if (p[++i]) usage()
break
}
#print "gt='" gt "' lt='" lt "' v1='" v1 "' v2='" v2 "' hi='" hi "' lo='" lo "'"
i++
}
if (v1 && v2 && (gt || lt || eq)) {
if ((lt && getvnum(v1) < getvnum(v2)) || (gt && getvnum(v1) > getvnum(v2)) ||
(eq && getvnum(v1) == getvnum(v2))) exit 0
exit 1
}
else if (!(hi || lo)) usage()
ARGC = 0;
}

{
line = $0
#print "line=" line
sub(/^[^0-9]*/, "")
vnum = getvnum($0)
if (hi && vnum > max) {
max = vnum
maxline = line
}
if (lo && (!min || vnum < min)) {
min = vnum
minline = line
}
#print vnum
#print "---"
}

END {
if (hi || lo) {
print(minline ? maxline ? minline " " maxline : minline : maxline)
}
}

+ 0
- 12
remove-gateway View File

@@ -1,12 +0,0 @@
#!/bin/sh

if [ "$(id -u)" -ne 0 ]; then
[ -x "$(which su-to-root)" ] && exec su-to-root -X -c "$0" "$@"
printf "ERROR: $0 needs root capabilities, please start it as root.\n\n" >&2
exit 1
fi

sed -i "/^[ \t]*gateway/d" /etc/network/interfaces

/etc/init.d/networking restart


+ 0
- 12
remove-orphans View File

@@ -1,12 +0,0 @@
#!/bin/sh

if [ "$(id -u)" -ne 0 ]; then
[ -x "$(which su-to-root)" ] && exec su-to-root -X -c "$0" "$@"
printf "ERROR: $0 needs root capabilities, please start it as root.\n\n" >&2
exit 1
fi

RC="$(COLUMNS=200 dpkg -l|grep ^rc|awk '{print $2}')"

[ "$RC" ] && dpkg --purge $RC


get-resume-partition → update-resume-partition View File

@@ -1,5 +1,18 @@
#!/bin/sh

# Copyright (C) 2006-2015, Stefan Lippers-Hollmann <s.l-h@gmx.de>
# Copyright (C) 2007-2010, Kel Modderman <kel@otaku42.de>

# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; version 2 of the
# License.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.

if [ "$(id -u)" -ne 0 ]; then
[ -x "$(which su-to-root)" ] && exec su-to-root -X -c "$0" "$@"
printf "ERROR: $0 needs root capabilities, please start it as root.\n\n" >&2

+ 15
- 0
update-resume-partition.8 View File

@@ -0,0 +1,15 @@
.TH update-resume-partition "8" "January 2015" "update-resume-partition" "System Administration Commands (8)"
.SH NAME
update-resume-partition - refreshes the UUIDs of the resume partition
.SH SYNOPSIS
.B update-resume-partition
.SH DESCRIPTION
`update-resume-partition', refreshes or creates the UUID stored in
/etc/initramfs-tools/conf.d/resume, which is used to store the RAM contents
when suspending to disk. Linux re-uses the system's swap space to store its
hibernation images.
.SH "SEE ALSO"
.BR initramfs-tools
.SH AUTHOR
This manual has been written by Stefan Lippers-Hollmann <s.l-h@gmx.de> for
the Debian project (but may be used by others).

Loading…
Cancel
Save